> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List affiliate customers

> Developer API operation for GET /dev/v1/affiliates/customers.



## OpenAPI

````yaml /openapi.json get /dev/v1/affiliates/customers
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/affiliates/customers:
    get:
      tags:
        - Affiliates
      summary: List affiliate customers
      description: Developer API operation for GET /dev/v1/affiliates/customers.
      operationId: getDevV1AffiliatesCustomers
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                  pagination:
                    type: object
                    properties:
                      next_cursor:
                        type: string
                        nullable: true
                      has_more:
                        type: boolean
                example:
                  data:
                    customers:
                      - id: cus_1
                        affiliate_link_id: alink_1
                        customer_id: cus_1
                        email: creator@example.com
                        name: Creator
                        code: creator
                        url: https://demo.shoppex.io?via=creator
                        total_sales: 4
                        total_revenue: 180
                        total_commission: 36
                        available_balance: 12
                        status: approved
                        is_active: true
                        is_approved: true
                        joined_at: '2026-03-15T10:00:00.000Z'
                        updated_at: '2026-03-15T11:00:00.000Z'
                    total: 1
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````